Skip to content

Import Volume

POST
/api/v1/block_storage/import/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/import/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "test-volume",
"size": 250,
"iops": 5000,
"path_url": "https://objectstore.e2enetworks.net/test-volume/vol-11.raw"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name
required

Name of the volume image.

string

Example

test-volume
size
required

Size of the volume image in GB.

integer

Example

250
iops
required

Input/output operations per second for the volume image.

integer

Example

5000
path_url
required

URL of the Volume image. Currently, only raw format is allowed.

string format: uri

Example

https://objectstore.e2enetworks.net/test-volume/vol-11.raw

Volume imported successfully

Media typeapplication/json
object
code
integer
data
object
id
integer
image_name
string
resource_type
string
nullable
label_id
integer
nullable
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 31937,
"image_name": "meghna"
},
"errors": {},
"message": "Success"
}